/**
 * @function setupSqlite
 */

'use strict'

const mkdirp = require('mkdirp')
const co = require('co')
const path = require('path')
const assert = require('assert')

/** @lends setupSqlite */
function setupSqlite (env, options = {}) {
  let storage = env.STORAGE
  assert.ok(storage, "env.STORAGE is required for sqlite.")
  return co(function * () {
    yield new Promise((resolve, reject) =>
      mkdirp(path.dirname(storage), (err) => err ? reject(err) : resolve())
    )
  })
}

module.exports = setupSqlite
